var http = require("../../utils/http.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showBindTips: false
  },

  /**
   * 微信登录
   */
  bindGetUserInfo(e) {
    if (e.detail.userInfo) {
      wx.setStorageSync('userInfo', e.detail.userInfo)
      http.getToken()
      // 判断是否已经有绑定账号登陆
      if (!wx.getStorageSync('loginResult').nickName) {
        this.setData({
          showBindTips: true
        })
      } else {
        wx.switchTab({
          url: '/pages/index/index'
        })
      }
    } else {
      wx.navigateTo({
        url: '/pages/user/user',
      })
    }
  },

  /**
   * 获取用户手机号
   */
  getPhoneNumber(e) {
    if (e.detail.errMsg === 'getPhoneNumber:ok') {
      var params = {
        url: '/user/registerOrBindUser',
        method: 'PUT',
        data: {
          appType: 1,
          encryptedData: e.detail.encryptedData,
          ivStr: e.detail.iv,
          img: wx.getStorageSync('userInfo').avatarUrl || '',
          nickName: wx.getStorageSync('userInfo').nickName || '',
          validateType: 2,
          registerOrBind:2 // 验证类型 1注册 2绑定
        },
        callBack: res => {
          http.loginSuccess(res)
          wx.switchTab({
            url: '/pages/index/index'
          })
        }
      }
      http.request(params)
    } else {
      wx.showToast({
        title: '授权失败',
        icon: 'none'
      })
    }
  },

  /**
   * 跳转账号登陆
   */
  toLogin() {
    wx.navigateTo({
      url: '/pages/accountLogin/accountLogin',
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    // 微信解密更新code
    wx.login({
      success: res => {
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
        http.request({
          login: true,
          url: '/appLogin',
          data: {
            principal: res.code,
            appType: 1
          },
          callBack: result => {
            // loginSuccess(result, fn)
            wx.setStorageSync('tempToken', 'bearer' + result.access_token)
          }
        }, true)
      },
      fail:err=>{
      }
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})